STRUCT DRM_MODE_CONF(9)

NAME
struct_drm_mode_config_funcs - basic driver provided mode setting functions

SYNOPSIS

struct drm_mode_config_funcs {
  struct drm_framebuffer *(* fb_create) (struct drm_device *dev,struct drm_file *file_priv,struct drm_mode_fb_cmd2 *mode_cmd);
  void (* output_poll_changed) (struct drm_device *dev);
  int (* atomic_check) (struct drm_device *dev,struct drm_atomic_state *a);
  int (* atomic_commit) (struct drm_device *dev,struct drm_atomic_state *a,bool async);
};

MEMBERS

fb_create
    create a new framebuffer object

output_poll_changed
    function to handle output configuration changes

atomic_check
    check whether a give atomic state update is possible

atomic_commit
    commit an atomic state update previously verified with atomic_check

DESCRIPTION

Some global (i.e. not per-CRTC, connector, etc) mode setting functions that involve drivers.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT